Bug 432975 - Monitoring cannot be installed again.
Summary: Monitoring cannot be installed again.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server   
(Show other bugs)
Version: 510
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Steve Salevan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248630
TreeView+ depends on / blocked
 
Reported: 2008-02-15 15:52 UTC by Miroslav Suchý
Modified: 2008-04-02 20:31 UTC (History)
0 users

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:31:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miroslav Suchý 2008-02-15 15:52:42 UTC
Description of problem:
Some monitoring packages if removed cannot be installed again. More precise
theirs post scriplets will fail.

Version-Release number of selected component (if applicable):
510

How reproducible:
deterministic

Steps to Reproduce:
1. install proxy with monitoring
2. remove proxy + remove packages
3. install proxy with monitoring again
  
Actual results:
  28:NPalert                ########################################### [100%]
ln: `/opt/notification/var/generate_config.log': File exists
ln: `/opt/notification/var/notif-escalator.log': File exists
ln: `/opt/notification/var/notif-launcher.log': File exists
ln: `/opt/notification/var/notifier.log': File exists
ln: `/opt/notification/var/ack-processor.log': File exists
ln: `/opt/notification/var/NotifEscalator-error.log': File exists
ln: `/opt/notification/var/NotifLauncher-error.log': File exists
ln: `/opt/notification/var/Notifier-error.log': File exists
ln: `/opt/notification/var/AckProcessor-error.log': File exists
error: %post(NPalert-1.125.17-17.noarch) scriptlet failed, exit status 1
  29:perl-BSD-Resource      ########################################### [100%]
  30:mod_perl               ########################################### [100%]
  31:perl-Params-Validate   ########################################### [100%]
  32:rhn-base-minimal       ########################################### [100%]
  33:oracle_perl            ########################################### [100%]
  34:FcntlLock              ########################################### [100%]
  35:bdb_perl               ########################################### [100%]
  36:scdb                   ########################################### [100%]
  37:tsdb                   ########################################### [100%]
ln: `/home/nocpulse/var/TSDBLocalQueue.log': File exists
ln: `/home/nocpulse/var/TSDBLocalQueue-errors.log': File exists
error: %post(tsdb-1.27.13-17.noarch) scriptlet failed, exit status 1


  85:nslogs                 ########################################### [100%]
mv: `/home/nocpulse/var/kernel.log' and `/var/log/nocpulse/kernel.log' are the
same file
ln: `/home/nocpulse/var/kernel.log': File exists
mv: `/home/nocpulse/var/kernel-error.log' and
`/var/log/nocpulse/kernel-error.log' are the same file
ln: `/home/nocpulse/var/kernel-error.log': File exists
mv: `/home/nocpulse/var/dequeue.log' and `/var/log/nocpulse/dequeue.log' are the
same file
ln: `/home/nocpulse/var/dequeue.log': File exists
ln: `/home/nocpulse/var/dequeue.snmp.log': File exists
ln: `/home/nocpulse/var/trapReceiver.log': File exists
ln: `/home/nocpulse/var/SuperSput-errors.log': File exists
mv: `/home/nocpulse/var/SputLite-errors.log' and
`/var/log/nocpulse/SputLite-errors.log' are the same file
ln: `/home/nocpulse/var/SputLite-errors.log': File exists
mv: `/home/nocpulse/var/Dequeuer-errors.log' and
`/var/log/nocpulse/Dequeuer-errors.log' are the same file
ln: `/home/nocpulse/var/Dequeuer-errors.log': File exists
ln: `/home/nocpulse/var/TrapReceiver-errors.log': File exists
ln: `/home/nocpulse/var/DiscoveryServices-errors.log': File exists
mv: `/home/nocpulse/var/commands/execute_commands.log' and
`/var/log/nocpulse/execute_commands.log' are the same file
ln: `/home/nocpulse/var/commands/execute_commands.log': File exists
error: %post(nslogs-2.2.2-6.noarch) scriptlet failed, exit status 1



Expected results:
Run smoothly

Additional info:

Comment 1 Miroslav Suchý 2008-02-15 15:54:48 UTC
I fixed SPEC file of nslog in cvs.

Comment 2 Miroslav Suchý 2008-02-15 16:53:03 UTC
I modified spec file of NPalert and tsdb too.

Comment 3 Miroslav Suchý 2008-02-18 11:46:20 UTC
Satellite 5.1.0-153 and Proxy 5.1.0-29 Content now available on webqa Channels. 
moving ON_QA

Comment 4 Steve Salevan 2008-02-21 19:43:42 UTC
Monitoring proxy reinstalls successfully and works, so I'm moving this bug over
to VERIFIED.

Comment 6 Brandon Perkins 2008-04-02 20:31:23 UTC
Proxy 5.1.0 GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.